Package ghidra.pcode.exec

# Class PcodeProgram.MyAppender

java.lang.Object
ghidra.app.util.pcode.AbstractAppender<String>
ghidra.pcode.exec.PcodeProgram.MyAppender

Enclosing class:
  `PcodeProgram`

protected static class PcodeProgram.MyAppender extends AbstractAppender<String>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final StringBuffer`
  `buf`
  `protected final boolean`
  `numberOps`
  `protected int`
  `opIdx`
  `protected final PcodeProgram`
  `program`

  ### Fields inherited from class ghidra.app.util.pcode.AbstractAppender

  `indent, language`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MyAppender(PcodeProgram program, Language language, boolean numberOps)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendIndent()`
  `default void`
  `appendLineLabel(long label)`
  Append a line label, usually meant to be on its own line
  `protected void`
  `appendString(String string)`
  Append a plain string.
  `protected void`
  `endLine()`
  `String`
  `finish()`
  `protected String`
  `stringifyUseropUnchecked(Language language, int id)`
  Lookup a given userop name

  ### Methods inherited from class ghidra.app.util.pcode.AbstractAppender

  `appendAddressWordOffcut, appendCharacter, appendLabel, appendLineLabelRef, appendMnemonic, appendRawVarnode, appendRegister, appendScalar, appendSpace, appendUnique, appendUserop, getLanguage, stringifyLineLabel, stringifyOpMnemonic, stringifyRawVarnode, stringifyRegister, stringifyScalarValue, stringifySpace, stringifyUnique, stringifyUserop, stringifyWordOffcut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### opIdx

    protected int opIdx

  - ### program

    protected final PcodeProgram program

  - ### numberOps

    protected final boolean numberOps

  - ### buf

    protected final StringBuffer buf

- ## Constructor Details

  - ### MyAppender

    public MyAppender(PcodeProgram program, Language language, boolean numberOps)

- ## Method Details

  - ### appendString

    protected void appendString(String string)
    Description copied from class: `AbstractAppender`
    Append a plain string.

    By default, all append method delegate to this, so either it must be implemented, or every other append method must be overridden to avoid ever invoking this method. The default implementation throws an assertion error.

    Overrides:
      `appendString` in class `AbstractAppender<String>`
    Parameters:
      `string` - the string to append

  - ### endLine

    protected void endLine()

  - ### stringifyUseropUnchecked

    protected String stringifyUseropUnchecked(Language language, int id)
    Description copied from class: `AbstractAppender`
    Lookup a given userop name
    Overrides:
      `stringifyUseropUnchecked` in class `AbstractAppender<String>`
    Parameters:
      `language` - the language containing the userop
      `id` - the userop id
    Returns:
      the display string, i.e., its name, or null if it doesn't exist

  - ### finish

    public String finish()

  - ### appendIndent

    public void appendIndent()
    Overrides:
      `appendIndent` in class `AbstractAppender<String>`

  - ### appendLineLabel

    default void appendLineLabel(long label)
    Append a line label, usually meant to be on its own line
    Parameters:
      `label` - the label number